Subject: Re: IGMP V2 unsolicited report

From: Bill Fenner <[email-masked]>
Date: Mon, 7 Aug 2000 11:13:07 -0700

>the RFC states that when a host joins a group it should send report
>immedaitely instead of waiting for the query to reduce delay ; but 
>it has to send only if it is the first host to join the group in its
>subnetwork ;

The RFC doesn't say that last part (does it?).

>in that case how will a host know that there is already a member
>for the group it wants to join so as to prevent sending unsolicited
>report ;

This is an optimization that puts much more load on the host than it
saves on the network, so probably isn't worth doing.

  Bill